<?php

    session_start();
    require_once '../../../datab.php';
    $floor_id = $_SESSION['floor_id'];
    $response = [];

    try {

        $sql = "SELECT patient_drip.*, 
                        patient_data.patient_name, patient_data.mrd_no,
                    tablet_data.tablet_name AS drip_name, 
                    tablet_dosage_price.dosage,
                    tablet_dosage_price.price, 
                    DATE_FORMAT(patient_drip.created_at, '%Y-%m-%d %H:%i:%s') AS formatted_created_at ,
                    (floor.id) floor_id, (ip_ob_entry_data.bed_id) bed_id, beds.bed_name
                FROM patient_drip 
                JOIN tablet_dosage_price ON patient_drip.drip_id = tablet_dosage_price.id
                JOIN tablet_data ON tablet_data.id = tablet_dosage_price.tablet_id 
                JOIN patient_data ON patient_data.id = patient_drip.patient_id
                JOIN ip_ob_entry_data ON ip_ob_entry_data.id = patient_drip.patient_record_id 
                JOIN beds ON ip_ob_entry_data.bed_id = beds.id
                JOIN rooms ON rooms.id = beds.room_id
                JOIN floor ON floor.id = rooms.floor_id
                WHERE patient_drip.status = 'started' 
                AND floor.id = '$floor_id' ";

        $result = $conn->query($sql);

        if ($result->num_rows > 0) {
            $data = [];
            while ($row = $result->fetch_assoc()) {
                $data[] = $row;
            }
            $response['status'] = 'Success';
            $response['data'] = $data;
        } else {
            $response['status'] = 'No data';
            $response['data'] = [];
        }
    } catch (mysqli_sql_exception $e) {
        $response['status'] = 'Error';
        $response['message'] = 'SQL Error: ' . $e->getMessage();
    }

    $conn->close();

    header('Content-Type: application/json');
    echo json_encode($response);
?>