<?php
require_once '../../../datab.php';

$response = [
    'status' => '',
    'data' => [],
    'message' => ''
];

if (isset($_POST['patient_record_id'])) {

    $patient_record_id = mysqli_real_escape_string($conn, $_POST['patient_record_id']);

    $sql = "SELECT *, DATE_FORMAT(created_at, '%d-%b-%Y %h:%i %p') created_at 
            FROM patient_drip pd
            LEFT JOIN tablet_dosage_price tdp ON tdp.id = pd.drip_id
            LEFT JOIN tablet_data td ON td.id = tdp.tablet_id 
            LEFT JOIN doctor_data dd ON dd.id = pd.created_by
            WHERE pd.patient_record_id = '$patient_record_id' ";

    if ($result = mysqli_query($conn, $sql)) {
        if (mysqli_num_rows($result) > 0) {
            while ($row = mysqli_fetch_assoc($result)) {
                $response['data'][] = $row;
            }
            $response['status'] = 'Success';
            $response['message'] = 'Data retrieved successfully.';
        } else {
            $response['status'] = 'No Records';
            $response['message'] = 'No drip data found for the given batch ID.';
        }
    } else {
        // Log the error for debugging
        error_log('SQL Error: ' . mysqli_error($conn));
        $response['status'] = 'Error';
        $response['message'] = 'Error fetching data. Please try again later.';
    }
} else {
    $response['status'] = 'Error';
    $response['message'] = 'patient_record_id is required.';
}

header('Content-Type: application/json');
echo json_encode($response);
?>