<?php
    require_once '../../../datab.php';
    $res = [];

    $res['status'] = 'Error';
    $res['remarks'] = 'Error in Backend';
    $new_amount = 0; 
    $service_amount = 0;
    $amount = 0;
    $dateTime = date('Y-m-d H:i:s');

    if (isset($_POST['services']) || isset($_POST['division_id'])) {

        $patient_id = mysqli_real_escape_string($conn, $_POST['patient_id']);
        $patient_record_id = mysqli_real_escape_string($conn, $_POST['patient_record_id']);
        $total = mysqli_real_escape_string($conn, $_POST['total']);
        $services = json_decode($_POST['services'], true);
        $division_ids = json_decode($_POST['division_id'], true);
        $created_by = mysqli_real_escape_string($conn, $_POST['created_by']);
        $user_type = mysqli_real_escape_string($conn, $_POST['user_type']);
        $role = 'Ward';

        if (!empty($division_ids)) {
            foreach ($division_ids as $division) {
                $division_id = mysqli_real_escape_string($conn, $division['division_id']);
                $d_qty = 0;

                $select_divisions_if_available = mysqli_query($conn, "SELECT * FROM `ip_bill_scan` WHERE `division_id`='$division_id' AND `patient_record_id`='$patient_record_id' ");

                if (mysqli_num_rows($select_divisions_if_available) > 0) {
                    // If the division already exists, fetch the existing data
                    $row = mysqli_fetch_assoc($select_divisions_if_available);

                    // Fetch the scan amount based on the division_id
                    $sql = mysqli_query($conn, "SELECT s.scan_name, sc.scan_cat_name, sc.id, sc.price FROM scan s
                    JOIN scan_cat sc ON s.id = sc.scan_id 
                    WHERE s.status = 'Active' AND sc.id = '" . intval($division_id) . "'");

                    $db_amount_fetch = mysqli_fetch_assoc($sql);
                    $division_amount = $db_amount_fetch['price'];

                    $insert_selected_divisions = mysqli_query($conn, "INSERT INTO `ip_bill_scan` (`patient_record_id`, `patient_id`, `qty`,`division_id`, `amount`,`status`, `dateTime`, `created_by`, `user_type`, `role`) 
                    VALUES ('$patient_record_id', '$patient_id', 1, '$division_id','$division_amount','Active', '$dateTime', '$created_by', '$user_type', '$role') ");
                } else {
                    // If the division does not exist, fetch the scan amount and insert the new data
                    $sql = mysqli_query($conn, "SELECT s.scan_name, sc.scan_cat_name, sc.id, sc.price FROM scan s
                    JOIN scan_cat sc ON s.id = sc.scan_id 
                    WHERE s.status = 'Active' AND sc.id = '" . intval($division_id) . "'");

                    $db_amount_fetch = mysqli_fetch_assoc($sql);
                    $division_amount = $db_amount_fetch['price'];

                    $insert_selected_divisions = mysqli_query($conn, "INSERT INTO `ip_bill_scan` (`patient_record_id`, `patient_id`, `qty`,`division_id`, `amount`,`status`, `dateTime`, `created_by`, `user_type`, `role`) 
                                                                        VALUES ('$patient_record_id', '$patient_id', 1, '$division_id','$division_amount','Active', '$dateTime', '$created_by', '$user_type', '$role') ");
                }
            }
            $res['status'] = 'Success';
            $res['remarks'] = 'Items Added Successfully';
        }

        if (!empty($services)) {
            foreach ($services as $service) {
                $s_id = mysqli_real_escape_string($conn, $service['s_id']);
                $service_name = mysqli_real_escape_string($conn, $service['service_name']);
                $s_qty = mysqli_real_escape_string($conn, $service['qty']);

                $select_services = mysqli_query($conn, "SELECT * FROM `ip_bill_services` WHERE `patient_record_id`='$patient_record_id' AND `service_name`='$service_name' ");

                if (mysqli_num_rows($select_services)) {
                    // If the service already exists, fetch the existing data
                    $row2 = mysqli_fetch_assoc($select_services);
                    $old_qty2 = floatval($row2['qty']);
                    $old_amount = floatval($row2['service_amount']);

                    // Fetch the service amount based on the service ID
                    $get_amount = mysqli_query($conn, "SELECT * FROM ip_service WHERE id = '".$s_id."' ");
                    $get_fetch = mysqli_fetch_assoc($get_amount);

                    $service_amount = $get_fetch['amount'];

                    $sql3 = mysqli_query($conn, "INSERT INTO ip_bill_services (`patient_record_id`, `patient_id`, `service_id`,`service_name`, `qty`,`service_amount`, `status`, `dateTime`, `created_by`, `user_type`, `role`) 
                    VALUES ('$patient_record_id', '$patient_id', '$s_id','$service_name', 1 , '$service_amount', 'Active', '$dateTime', '$created_by', '$user_type', '$role')");
                } else {
                    // If the service does not exist, fetch the service amount and insert the new data
                    $get_amount = mysqli_query($conn, "SELECT * FROM ip_service WHERE id = '".$s_id."' ");
                    $get_fetch = mysqli_fetch_assoc($get_amount);

                    $service_amount = $get_fetch['amount'];

                    $sql3 = mysqli_query($conn, "INSERT INTO ip_bill_services (`patient_record_id`, `patient_id`, `service_id`,`service_name`, `qty`,`service_amount`, `status`, `dateTime`, `created_by`, `user_type`, `role`) 
                                                                VALUES ('$patient_record_id', '$patient_id', '$s_id','$service_name', 1 , '$service_amount', 'Active', '$dateTime', '$created_by', '$user_type', '$role')");
                }
            }
            $res['status'] = 'Success';
            $res['remarks'] = 'Items Added Successfully';
        }
    } else {
        $res['status'] = 'Error';
        $res['remarks'] = 'Error in Post response';
    }

    echo json_encode($res);
?>
