<?php
    session_start();
    require_once '../../../datab.php';

    $floor_id = $_SESSION['floor_id'];

    // Set headers to JSON
    header('Content-Type: application/json');

    // Initialize response array
    $response = array();

    // Check database connection
    if ($conn->connect_error) {
        $response['status'] = 'Error';
        $response['message'] = 'Database connection failed: ' . $conn->connect_error;
        echo json_encode($response);
        exit;
    }

    // Get pagination and search parameters
    $pg_no = isset($_GET['pg_no']) ? (int)$_GET['pg_no'] : 1; // Current page number
    $limit = 10; // Records per page
    $offset = ($pg_no - 1) * $limit; // Calculate offset for SQL query

    $search = isset($_GET['search']) ? $conn->real_escape_string($_GET['search']) : '';

    // Prepare the SQL query with search functionality
    $sql_count = "SELECT COUNT(*) as total FROM request_ward_batch WHERE floor_id = '$floor_id' AND (description LIKE '%$search%' OR requestedBy LIKE '%$search%')";
    $result_count = $conn->query($sql_count);
    $total_count = $result_count->fetch_assoc()['total'];
    $total_pages = ceil($total_count / $limit); // Calculate total pages

    // Corrected SQL query
    $sql = "SELECT id, DATE_FORMAT(date, '%d-%b-%Y %h:%i %p') as formatted_date, requestedBy, order_no, status, description, floor_id 
            FROM request_ward_batch 
            WHERE floor_id = '$floor_id' AND (status LIKE '%$search%' OR requestedBy LIKE '%$search%' OR order_no LIKE '%$search%') 
            ORDER BY id DESC 
            LIMIT $limit OFFSET $offset";

    $result = $conn->query($sql);

    if ($result) {
        if ($result->num_rows > 0) {
            $rows = array();
            while ($row = $result->fetch_assoc()) {
                $rows[] = $row;
            }
            $response['status'] = 'Success';
            $response['data'] = $rows;
            $response['current_page'] = $pg_no;
            $response['total_pages'] = $total_pages;
            $response['total_count'] = $total_count;
        } else {
            $response['status'] = 'Error';
            $response['message'] = 'No request batches found.';
        }
    } else {
        $response['status'] = 'Error';
        $response['message'] = 'Query execution error: ' . $conn->error;
    }

    // Close connection
    $conn->close();

    // Output JSON response
    echo json_encode($response);
?>
