<?php
require_once '../../../datab.php';
require_once '../../../getCUT.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $patientRecordId = $_POST['patient_record_id'];
    $userType = $_POST['user_type'];
    $medicines = json_decode($_POST['med_data'], true); // Decode JSON into associative array

    if (empty($medicines)) {
        // Respond with error indicating no data received
        $response = array("status" => "Error", "error" => "No medicines data received.");
        echo json_encode($response);
        exit;
    }

    $insertIpMedBatch = mysqli_query($conn, "INSERT INTO ip_medications_batch (`patient_record_id`, `paymentStatus`, `status`, `createdOn`, `createdBy`, `createdUserType`)
                                            VALUES ('$patientRecordId', 'unpaid', 'Active', '$dateTime', '$created_by', '$user_type') ");

    // $insertIpMedBatchId = mysqli_insert_id()
    $insertIpMedBatchId = mysqli_insert_id($conn);


    foreach ($medicines as $medicine) {
        $tab_id = $medicine['tab_id'];
        $dosage_id = $medicine['dosage_id'];
        $tabletName = $medicine['tablet_name'];
        $dosage = $medicine['dosage'];
        $type = $medicine['type'];
        $drugType = $medicine['drug_type'];
        $timeTaken = $medicine['time_taken'];
        $frequency = $medicine['frequency'];
        $duration = $medicine['duration'];

        $stmt = $conn->prepare("INSERT INTO ip_medications_items (`patient_record_id`, `tablet_id`, `dosage_id`, `drug`, `dosage`, `type`, `drug_type`, `time_taken`, `frequency`, `duration`, `user_type`, `dateTime`, `created_by`, `status`, `ip_medications_batch_id`) 
                                VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
        $stmt->execute([$patientRecordId, $tab_id, $dosage_id, $tabletName, $dosage, $type, $drugType, $timeTaken, $frequency, $duration, $user_type, $dateTime, $created_by, 'Active', $insertIpMedBatchId]);
    }

    $response = array("status" => "Success");
    echo json_encode($response);
    exit;
} else {
    $response = array("status" => "Error", "error" => "Invalid request method.");
    echo json_encode($response);
    exit;
}
?>
