<?php
header('Content-Type: application/json');

require_once '../../../datab.php';

// Get the ip_id and type from the request
$ip_id = isset($_POST['patient_id']) ? intval($_POST['patient_id']) : 0;
$type = isset($_POST['type']) ? $_POST['type'] : '';

if ($ip_id > 0) {
    // Fetch service history based on type
    if ($type == 'ip') {
        $sql = "SELECT 
                    ibs.service_id, 
                    ibs.service_name, 
                    ibs.qty, 
                    ibs.service_amount, 
                    ibs.dateTime, 
                    ibs.id, 
                    DATE_FORMAT(ibs.dateTime, '%d-%b-%Y %h:%i %p') AS addedTime, 
                    ips.desc,
                    ibs.role
                FROM ip_bill_services ibs 
                LEFT JOIN ip_service ips ON ibs.service_id = ips.id
                WHERE ibs.patient_id = '$ip_id' AND ibs.role = 'Ward'";
    } else {
        $sql = "SELECT 
                    obs.service_name, 
                    obs.qty, 
                    obs.service_amount, 
                    obs.dateTime, 
                    obs.id, 
                    DATE_FORMAT(obs.dateTime, '%d-%b-%Y %h:%i %p') AS addedTime
                FROM ob_bill_services obs 
                WHERE obs.patient_id = '$ip_id'";
    }

    $result = $conn->query($sql);
    $services = array();

    if ($result->num_rows > 0) {
        while ($service_db_row = $result->fetch_assoc()) {
            $s_dateTime = new DateTime($service_db_row['dateTime']);
            $current_date = new DateTime(date('Y-m-d'));
            $interval = $s_dateTime->diff($current_date);

            $service_db_row['interval_days'] = $interval->days;
            $services[] = $service_db_row;
        }
    }

    // Fetch division data
    $select_division = "SELECT 
                            osd.id, 
                            osd.division_id, 
                            sc.scan_cat_name, 
                            osd.amount, 
                            s.scan_name, 
                            osd.qty, 
                    DATE_FORMAT(osd.dateTime, '%d-%b-%Y %h:%i %p') AS addedTime
                        FROM ip_bill_scan osd
                        JOIN scan_cat sc ON osd.division_id = sc.id
                        JOIN scan s ON sc.scan_id = s.id 
                        WHERE osd.patient_id = '$ip_id' AND osd.role = 'Ward'";

    $division_result = $conn->query($select_division);
    $divisions = array();

    if ($division_result->num_rows > 0) {
        while ($row = $division_result->fetch_assoc()) {
            $divisions[] = $row;
        }
    }

    // Merge results and send JSON response
    echo json_encode(array(
        "success" => true,
        "services" => $services,
        "divisions" => $divisions
    ));
} else {
    echo json_encode(array("success" => false, "message" => "Invalid ip_id"));
}

$conn->close();
?>
