<?php
    session_start();
    require_once '../../../datab.php';
    $res = [];

    $today_date = date("Y-m-d");
    $floor_id = $_SESSION['floor_id'];

    $sql = "SELECT
                ip_ob_entry_data.*,
                ip_ob_entry_data.id AS op_id,
                ip_ob_entry_data.status AS patient_status,
                b.building_name,
                f.floor_no,
                (f.id) floor_id,
                rooms.room_no,
                beds.bed_name,
                patient_data.patient_name,
                patient_data.mrd_no,
                DATE_FORMAT(ip_ob_entry_data.dateTime, '%d-%b-%Y %h:%i %p') ob_dateTime,
                (patient_data.id) pd_id
            FROM
                ip_ob_entry_data
            JOIN
                patient_data ON patient_data.id = ip_ob_entry_data.patient_id
            JOIN
                beds ON beds.id = ip_ob_entry_data.bed_id
            JOIN
                rooms ON rooms.id = beds.room_id
            JOIN
                floor f ON f.id = rooms.floor_id
            JOIN
                building b ON b.id = f.building_id
            WHERE
            ip_ob_entry_data.patient_type IN ('op', 'observation')
            AND
            ip_ob_entry_data.status NOT IN  ('Discharged', 'Paid')
            AND 
            ip_ob_entry_data.patient_type <>'Discharged' 
            AND 
            f.id = '$floor_id' ";

    if($result = mysqli_query($conn, $sql)){
        $data = [];
        while($row = mysqli_fetch_assoc($result)){
            $data[] = $row;
        }
        $res['data'] = $data;
        $res['status'] = 'Success';
        $res['remarks'] = 'Data sent';
    } else {
        $res['status'] = 'Error';
        $res['remarks'] = 'Error sending data';
    }

    echo json_encode($res);
?>