<?php
  include('include.php');
?>
<!DOCTYPE html>
<html lang="zxx" dir="ltr" class="light">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="">
  <title>AARTHY HOSPITAL</title>
  <link rel="icon" type="image/png" href="<?php echo $main_path; ?>assets/images/logo/favicon.svg">
  <link rel="preconnect" href="https://fonts.googleapis.com/">
  <link rel="preconnect" href="https://fonts.gstatic.com/" crossorigin="anonymous">
  <link href="https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700;800&amp;display=swap" rel="stylesheet">
  <!-- BEGIN: Theme CSS-->
  <link rel="stylesheet" href="<?php echo $main_path; ?>assets/css/rt-plugins.css">
  <link rel="stylesheet" href="<?php echo $main_path; ?>assets/css/app.css">
  <script src="<?php echo $main_path; ?>assets/js/store.js" async></script>
  <link rel="stylesheet" href="<?php echo $main_path; ?>assets/toastr/build/toastr.min.css" />
  <style>
    tbody>tr.data-patient:hover {
      background: #efefef !important;
      cursor: pointer;
    }

    .table-td {
      text-align: center !important;
    }

    .table-th {
      text-align: center !important;
    }

    .dashcode-data-table label {
      display: inline !important;
    }

    #data-table_length,
    #data-table_filter {
      display: inline-block;
    }

    #data-table_filter {
      float: right;
      margin-bottom: 20px;
    }

    .dashcode-data-table .dataTables_info,
    .dashcode-data-table .dataTables_paginate {
      display: inline-block;
      vertical-align: middle;
    }

    .dashcode-data-table .dataTables_paginate {
      float: right;
    }

    .dashcode-data-table .dataTables_paginate a,
    .dashcode-data-table .dataTables_paginate span {
      margin: 0 5px;
      /* Adjust as needed */
    }

    .dashcode-data-table .dataTables_paginate,
    .dashcode-data-table .dataTables_info {
      margin-top: 20px;
    }

    .dataTables_info {
      display: none !important;
    }

    .drop_div {
      /* background: #d8d8d8; */
      padding: 10px;
      border-radius: 10px;
    }

    .drop_div .patient_label {
      color: #000;
      font-size: 20px;
      font-weight: bold;
    }

    .timer {
      background: #d8d8d8;
      padding: 10px;
      border-radius: 10px;
    }

    .timer .timing {
      font-size: 60px;
      color: #000;
      font-weight: bold;
    }

    .icon-arrow.clock {
      width: 90px;
      font-size: 100px;
      background: none;
    }

    .timer-btns {
      margin: 25px 60px;
    }

    .patient_info {
      margin-top: 30px;
      display: flex;
      flex-direction: column;
    }

    .patient_info>div {
      display: flex;
      align-items: center;
      margin-bottom: 10px;
    }

    .patient_label {
      width: 150px;
      font-weight: bold;
    }

    .patient_info .text {
      font-weight: 500;
      font-size: 16px;
      color: #000;
      
    }
    .drip_inner{
      margin-top: 20px; 
      border-radius: 16px; 
      background: #daf1f1;
    }
    .timer{
      
      background: #daf1f1;
    }
  </style>
</head>
<body class="font-inter dashcode-app" id="body_class">
  <main class="app-wrapper">
    <?php include('sidebar.php'); ?>
    <div class="flex flex-col justify-between min-h-screen">
      <div>
        <?php include('nav.php'); ?>
        <!-- Modal for Creating Drip -->
        <div id="vertically_center" tabindex="-1" aria-labelledby="form_modal" aria-hidden="true" class="modal fade fixed top-0 left-0 hidden w-full h-full outline-none overflow-x-hidden overflow-y-auto">
          <div class="modal-dialog modal-md relative w-auto pointer-events-none">
            <div class="modal-content border-none shadow-lg relative flex flex-col w-full pointer-events-auto bg-white bg-clip-padding rounded-md outline-none text-current">
              <div class="relative w-full h-full max-w-xl md:h-auto">
                <div class="relative bg-white rounded-lg shadow dark:bg-slate-700">
                  <!-- Modal header -->
                  <div class="flex items-center justify-between p-5 border-b rounded-t dark:border-slate-600 bg-black-500">
                    <h3 class="text-xl font-medium text-white dark:text-white capitalize">
                      Create Drip
                    </h3>
                    <button type="button" class="text-slate-400 bg-transparent hover:bg-slate-200 hover:text-slate-900 rounded-lg text-sm p-1.5 ml-auto inline-flex items-center dark:hover:bg-slate-600 dark:hover:text-white" data-bs-dismiss="modal">
                      <svg aria-hidden="true" class="w-5 h-5" fill="#ffffff" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10
                                  11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path>
                      </svg>
                      <span class="sr-only">Close modal</span>
                    </button>
                  </div>
                  <!-- Modal body -->
                  <div>
                    <div class="p-6 space-y-6">
                      <div class="input-group">
                        <label for="patient_name">Select Patient</label>
                        <div class="relative">
                          <select name="patient_name" id="patient_id" class="form-control mt-0">
                            <option value="">--- SELECT PATIENT ---</option>
                            <!-- Patient options will be dynamically populated -->
                          </select>
                        </div>
                      </div>
                      <div class="input-group">
                        <label for="drip">Select Drip</label>
                        <div class="relative">
                          <select name="drip" id="drip" class="form-control mt-0">
                            <option value="">--- SELECT DRIP ---</option>
                            <!-- <option value="1">Drip 1</option> -->
                            <!-- Add more drip options as needed -->
                          </select>
                        </div>
                      </div>
                      <div class="input-group">
                        <label for="drip">Select Dosage</label>
                        <div class="relative">
                          <select name="drip" id="dosage" class="form-control mt-0">
                            <option value="">--- SELECT DOSAGE ---</option>
                            <!-- <option value="1">Dosage 1</option> -->
                            <!-- Add more drip options as needed -->
                          </select>
                        </div>
                      </div>
                      <!-- <div class="input-group">
                        <label for="start_time">Start Time</label>
                        <div class="relative">
                          <input type="time" id="start_time" class="form-control time_inpt" name="start_time" maxlength="8" placeholder="hh:mm AM/PM">
                        </div>
                      </div>
                      <div class="input-group">
                        <label for="end_time">End Time</label>
                        <div class="relative">
                          <input type="time" id="end_time" class="form-control time_inpt" maxlength="8" placeholder="hh:mm AM/PM" />
                        </div>
                      </div> -->
                    </div>
                    <!-- Modal footer -->
                    <div class="flex items-center justify-end p-6 space-x-2 border-t border-slate-200 rounded-b dark:border-slate-600">
                      <button data-bs-dismiss="modal" type="button" class="btn inline-flex justify-center btn-outline-dark close_modal_btn">Cancel</button>
                      <button type="button" id="set_timer" class="btn inline-flex justify-center text-white bg-black-500">Set</button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="vertically_center_modal" tabindex="-1" aria-labelledby="form_modal" aria-hidden="true" class="modal fade fixed top-0 left-0 hidden w-full h-full outline-none overflow-x-hidden overflow-y-auto">
          <div class="modal-dialog modal-md relative w-auto pointer-events-none">
            <div class="modal-content border-none shadow-lg relative flex flex-col w-full pointer-events-auto bg-white bg-clip-padding rounded-md outline-none text-current">
              <div class="relative w-full h-full max-w-xl md:h-auto">
                <div class="relative bg-white rounded-lg shadow dark:bg-slate-700">
                  <!-- Modal header -->
                  <div class="flex items-center justify-between p-5 border-b rounded-t dark:border-slate-600 bg-black-500">
                    <h3 class="text-xl font-medium text-white dark:text-white capitalize">
                      Extend Time
                    </h3>
                    <button type="button" class="text-slate-400 bg-transparent hover:bg-slate-200 hover:text-slate-900 rounded-lg text-sm p-1.5 ml-auto inline-flex items-center dark:hover:bg-slate-600 dark:hover:text-white" data-bs-dismiss="modal">
                      <svg aria-hidden="true" class="w-5 h-5" fill="#ffffff" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10
                                  11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path>
                      </svg>
                      <span class="sr-only">Close modal</span>
                    </button>
                  </div>
                  <!-- Modal body -->
                  <div>
                    <div class="p-6 space-y-6">
                      
                    
                      <div class="input-group">
                        <label for="start_time">Start Time</label>
                        <div class="relative">
                          <input type="time" id="edit_start_time" class="form-control time_inpt" name="start_time" maxlength="8" placeholder="hh:mm AM/PM">
                        </div>
                      </div>
                      <div class="input-group">
                        <label for="end_time">End Time</label>
                        <div class="relative">
                          <input type="time" id="edit_end_time" class="form-control time_inpt" maxlength="8" placeholder="hh:mm AM/PM" />
                        </div>
                      </div>
                    </div>
                    <!-- Modal footer -->
                    <div class="flex items-center justify-end p-6 space-x-2 border-t border-slate-200 rounded-b dark:border-slate-600">
                      <button data-bs-dismiss="modal" type="button" class="btn inline-flex justify-center btn-outline-dark close_modal_btn">Cancel</button>
                      <button type="button" id="edit_timer" class="btn inline-flex justify-center text-white bg-black-500">Extend</button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- End: Modal for Creating Drip -->
        <div class="content-wrapper transition-all duration-150 xl:ltr:ml-[248px] xl:rtl:mr-[248px]" id="content_wrapper">
          <div class="page-content">
            <div id="content_layout">
              <div class="grid xl:grid-cols-1 grid-cols-1 gap-6">
                <div class="card">
                  <header class="card-header noborder">
                    <h4 class="card-title">On Going Drips</h4>
                    <div>
                      <button class="btn btn-primary btn-sm" id="create_drip_btn">Create Drip +</button>
                    </div>
                  </header>
                  <div class="card-body px-6 pb-6">
                    <div class="drop_div" id="ongoing_drips_container">
                      <!-- Ongoing Drips will be dynamically appended here -->
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
  <script src="<?php echo $main_path; ?>assets/js/jquery-3.6.0.min.js"></script>
  <script src="<?php echo $main_path; ?>assets/js/rt-plugins.js"></script>
  <script src="<?php echo $main_path; ?>assets/js/app.js"></script>
  <script src="<?php echo $main_path; ?>assets/toastr/build/toastr.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/js-cookie@2.2.1/dist/js.cookie.min.js"></script>
  <script>
$(document).ready(function() {
  var timers = {}; // Object to keep track of each timer by its dripId

  // Function to fetch patients via AJAX
  function fetchPatients() {
    $.ajax({
      url: 'ajax/drip/getPatient.php',
      type: 'GET',
      success: function(response) {
        try {
          var result = JSON.parse(response);
          if (result.status === 'Success') {
            var patients = result.data;
            var options = '';
            patients.forEach(function(patient) {
              options += `<option value="${patient.id}" data-mrd="${patient.mrd_no}">${patient.patient_name}</option>`;
            });
            $('#patient_id').html(options);
          } else {
            toastr.error('Failed to fetch patients');
          }
        } catch (error) {
          console.error('Error parsing JSON:', error);
          toastr.error('Error fetching patients');
        }
      },
      error: function(xhr, status, error) {
        console.error('Error fetching patients:', error);
        toastr.error('Error fetching patients');
      }
    });
  }

  // Function to fetch existing drips via AJAX
  // function fetchExistingDrips() {
  //   $.ajax({
  //     url: 'ajax/drip/get_drip.php',
  //     type: 'GET',
  //     dataType: 'json',
  //     success: function(response) {
  //       if (response.status === 'Success') {
  //         $('#ongoing_drips_container').empty(); // Clear container before appending new drips
  //         var drips = response.data;
  //         drips.forEach(function(drip) {
  //           var dripHtml = generateDripHtml(drip);
  //           var $dripElement = $(dripHtml); // Convert HTML string to jQuery object
            
  //           // Check drip status and update background color if finished
  //           if (drip.status === 'finished') {
  //             $dripElement.css('background-color', '#e2ffe2');
  //             $(`#add_extend_time_${drip.id}`).prop('disabled', true).css('background-color', 'grey');
  //           }

  //           $('#ongoing_drips_container').append($dripElement);
  //           initializeTimer(drip); // Initialize the timer for each drip
  //         });
  //       } else if (response.status === 'No data') {
  //         toastr.info('No drips found');
  //       } else {
  //         toastr.error('Failed to fetch existing drips');
  //       }
  //     },
  //     error: function(xhr, status, error) {
  //       console.error('Error fetching existing drips:', error);
  //       toastr.error('Error fetching existing drips');
  //     }
  //   });
  // }

  function fetchExistingDrips() {
  $.ajax({
    url: 'ajax/drip/get_drip.php',
    type: 'GET',
    dataType: 'json',
    success: function(response) {
      if (response.status === 'Success') {
        $('#ongoing_drips_container').empty(); // Clear container before appending new drips
        var drips = response.data;
        drips.forEach(function(drip) {
          var dripHtml = generateDripHtml(drip);
          var $dripElement = $(dripHtml); // Convert HTML string to jQuery object

          // Append the element to the container first
          $('#ongoing_drips_container').append($dripElement);

          // Check drip status and update background color if finished
          if (drip.status === 'finished') {
            $dripElement.css('background-color', '#e2ffe2');
            
            // Log the ID and element to check if they exist
            var buttonId = `#add_extend_time_${drip.id}`;
            // console.log('Button ID:', buttonId);
            // console.log('Button Element:', $(buttonId));

            $(buttonId).prop('disabled', true).css('background-color', 'grey');
          }

          initializeTimer(drip); // Initialize the timer for each drip
        });
      } else if (response.status === 'No data') {
        toastr.info('No drips found');
      } else {
        toastr.error('Failed to fetch existing drips');
      }
    },
    error: function(xhr, status, error) {
      console.error('Error fetching existing drips:', error);
      toastr.error('Error fetching existing drips');
    }
  });
}



  // Initialize fetch functions on document ready
  fetchPatients();
  fetchExistingDrips();

  // Event handler for creating a new drip
  $('#create_drip_btn').click(function() {
    $('#vertically_center').modal('show'); // Show the create drip modal
  });

  // Event handler for setting timer
  $('#set_timer').click(function() {
  var mod_drip = $('#drip').val();
  var mod_dosage = $('#dosage').val();
  if(mod_drip == ''){
    toastr.error("Select drip");
  }
  else if(mod_dosage == ''){
    toastr.error("Select dosage");
  }
  else{
    var formData = {
      patient_name: $('#patient_id option:selected').text(),
      patient_id: $('#patient_id').val(),
      mrd_no: $('#patient_id option:selected').data('mrd'),
      drip_id: $('#drip').val(),
      dosage: $('#dosage').val(),
    };

    // Validate start time against current time
    // var currentTime = new Date();
    // var selectedStartTime = parseTime(formData.start_time);
    // var selectedEndTime = parseTime(formData.end_time);

    // if (!selectedStartTime || !selectedEndTime) {
    //   toastr.error('Invalid time format');
    //   return;
    // }

    // if (selectedStartTime <= currentTime) {
    //   toastr.error('Start time must be in the future.');
    //   return;
    // }

    // Send AJAX request to create the drip record
    $.ajax({
      url: 'ajax/drip/create_drip.php',
      type: 'POST',
      data: formData,
      dataType: 'json',
      success: function(response) {
        if (response.status === 'Success') {
          toastr.success(response.message);
          $('#vertically_center').modal('hide');

          if (selectedStartTime > currentTime) {
            fetchExistingDrips();
          }
        } else {
          toastr.error(response.message);
        }
      },
      error: function(xhr, status, error) {
        toastr.error('Failed to create drip: ' + error);
      }
    });

  }
    
  });

  // Event delegation for extending drip time
  $(document).on('click', '.add_btn', function() {
    var dripID = $(this).data('drip-id');
    var startTime = $(this).data('start-time');
    var endTime = $(this).data('end-time');
    $('#edit_timer').data('drip-id', dripID);
    $('#edit_start_time').val(startTime);
    $('#edit_end_time').val(endTime);
  });

  // Event handler for editing drip time
  $('#edit_timer').click(function() {
    var dripID = $(this).data('drip-id');
    var startTime = $('#edit_start_time').val();
    var endTime = $('#edit_end_time').val();

    // Validate start time and end time
    if (startTime === '') {
      toastr.error('Start time not entered');
      return;
    } else if (endTime === '') {
      toastr.error('End time not entered');
      return;
    }

    // Construct the FormData object
    var formData = new FormData();
    formData.append('id', dripID);
    formData.append('startTime', startTime);
    formData.append('endTime', endTime);

    // Send AJAX request to update the drip timer
    $.ajax({
      url: "ajax/drip/extend_drip.php",
      type: "POST",
      data: formData,
      contentType: false,
      processData: false,
      success: function(response) {
        // Check if response is already an object
        if (typeof response === 'object' && response !== null) {
          if (response.status === 'success') {
            toastr.success('Drip time updated');
            fetchExistingDrips(); // Function to fetch and display updated data
            $('#vertically_center_modal').modal('hide'); // Close the Bootstrap modal
          } else {
            toastr.error('Failed to update drip time: ' + response.remarks);
          }
        } else {
          // Handle unexpected response format
          toastr.error('Unexpected response format.');
          console.error('Unexpected response format:', response);
        }
      },
      error: function(xhr, status, error) {
        toastr.error('Failed to update drip timer: ' + xhr.statusText);
        console.error('AJAX Error: ' + status, error);
      }
    });
  });

  // Event delegation for ending drip
  $(document).on('click', '.submit_btn', function() {
    var dripID = $(this).data('end-id');
    var fd = new FormData();
    fd.append('id', dripID);

    // Change the background color to green immediately on button click
    $('#drip_' + dripID).css('background-color', '#e2ffe2'); 
   

    $.ajax({
      url: 'ajax/drip/end_drip.php',
      data: fd,
      contentType: false,
      processData: false,
      type: 'POST',
      success: function(response) {
        if (response.status === 'success') {
          toastr.success('Drip ended successfully');

          // Stop the timer by setting it to '00:00:00'
          $('#timer_' + dripID).text('00:00:00');
          $(`#add_extend_time_${dripID}`).prop('disabled', true).css('background-color', 'grey');

          // Remove the HTML element for the drip from the table
          // $('#drip_' + dripID).remove(); // Assuming 'drip_' + dripID is the ID of the HTML element to remove

          // Alternatively, you can fetch the updated drips list
          // fetchExistingDrips();
        } else {
          toastr.error('Error with the backend');
        }
      },
      error: function(xhr) {
        var result = JSON.parse(xhr.responseText);
        var message = result.message;
        toastr.error('Failed to end drip: ' + message);
      }
    });
  });

  // Function to generate HTML for a drip
  function generateDripHtml(drip) {
    var startTimeFormatted = formatTime12Hour(drip.start_time);
    var endTimeFormatted = formatTime12Hour(drip.end_time);

    var dripHtml = `
      <div class="row drip_inner" id="drip_${drip.id}" data-status="${drip.status}">
        <div class="timing_div_append flex justify-between" style="padding-left: 40px; padding-top: 18px;">
          <div class="col-lg-6 patient_info" style="padding-bottom: 33px;">
            <div>
              <span class="patient_label" style="font-size: 17px;">Patient Name</span>
              <span class="patient_name text" style="font-size: 16px; color: #0954a4; font-weight: 600;">: ${drip.patient_name}</span>
            </div>
            <div>
              <span class="patient_label" style="font-size: 17px;">MRD No.</span>
              <span class="patient_mrd_no text" style="font-size: 16px;">: ${drip.mrd_no}</span>
            </div>  
            <div>
              <span class="patient_label" style="font-size: 17px;">Drip Name</span>
              <span class="patient_mrd_no text" style="font-size: 16px;">: ${drip.drip_name}</span>
            </div>          
          </div>

           <div class="col-lg-8 patient_info">
           
            <div>
              <span class="patient_label" style="font-size: 17px;">Type</span>
              <span class="patient_type text" style="font-size: 16px;">: IP</span>
            </div>
            <div>
              <span class="patient_label" style="font-size: 17px;">Start Time</span>
              <span class="patient_start_time text" style="font-size: 16px;">: ${startTimeFormatted}</span>
            </div>
            <div>
              <span class="patient_label" style="font-size: 17px;">Dosage</span>
              <span class="patient_mrd_no text" style="font-size: 16px;">: ${drip.dosage}</span>
            </div>  
            
          </div>
          <div class="col-lg-6 flex justify-center items-center">
            <div class="drip_timer">
              <div class="timer flex items-center" id="timer_color_${drip.id}" style="background-color: transparent;">
                <div class="clock">
                  <iconify-icon class="icon-arrow clock" style="color: #505050; font-size: 36px; margin-top: 3px;" icon="mdi:stopwatch-outline"></iconify-icon>
                </div>
                <div class="timing" id="timer_${drip.id}" style="font-size: 28px; margin-top: 3px;">00:00:00</div>
              </div>
              <div class="timer-btns flex justify-between" style="margin-top: 3px;">
                <button class="btn btn-primary justify-center add_btn" data-drip-id='${drip.id}' data-start-time='${drip.start_time}' data-end-time='${drip.end_time}' id="add_extend_time_${drip.id}" style="margin-right: 30px; height: 45px;">Extend</button>
                <button class="btn btn-lg btn-danger submit_btn" data-end-id='${drip.id}' id="end_timer" style="height: 45px;" >End</button>
              </div>
            </div>
          </div>
        </div>
      </div><hr>`;

    return dripHtml;
  }

  // Function to parse time from string to Date object
  function parseTime(timeString) {
    var timeParts = timeString.split(':');
    if (timeParts.length !== 2 && timeParts.length !== 3) {
      return null;
    }
    var hours = parseInt(timeParts[0]);
    var minutes = parseInt(timeParts[1]);
    var seconds = timeParts.length === 3 ? parseInt(timeParts[2]) : 0;
    if (isNaN(hours) || isNaN(minutes) || isNaN(seconds)) {
      return null;
    }
    var time = new Date();
    time.setHours(hours);
    time.setMinutes(minutes);
    time.setSeconds(seconds);
    return time;
  }

  // Function to format time into 12-hour format
  function formatTime12Hour(time) {
    var hours24 = parseInt(time.substring(0, 2));
    var minutes = time.substring(3, 5);
    var seconds = time.length > 5 ? time.substring(6, 8) : '00';
    var period = (hours24 >= 12) ? 'PM' : 'AM';
    var hours12 = (hours24 > 12) ? hours24 - 12 : hours24;
    hours12 = (hours12 == 0) ? 12 : hours12;
    return `${hours12}:${minutes}:${seconds} ${period}`;
  }

  // Function to initialize countdown timer for a drip
  function initializeTimer(drip) {
    var startTime = parseTime(drip.start_time);
    var endTime = parseTime(drip.end_time);
    if (!startTime || !endTime) {
      return; // Exit if start or end time is invalid
    }

    var startDelay = startTime.getTime() - Date.now();
    if (startDelay > 0) {
      setTimeout(function() {
        startCountdown(drip.id, drip.end_time);
      }, startDelay);
    } else {
      startCountdown(drip.id, drip.end_time); // Start immediately if start time has already passed
    }
  }

  // Function to start countdown timer for a drip
  function startCountdown(dripId, endTime) {
    if (timers[dripId]) {
      clearInterval(timers[dripId]); // Clear any existing timer for the drip
    }
    timers[dripId] = setInterval(function() {
      var remainingTime = getRemainingTime(endTime);
      $(`#timer_${dripId}`).text(remainingTime);

      // Check if remaining time is '00:00:00' and status is 'active'
      if (remainingTime === '00:00:00' && getStatusForDrip(dripId) === 'active') {
        clearInterval(timers[dripId]); // Stop the timer once it reaches 00:00:00
        delete timers[dripId]; // Remove the timer from the object

        // Change background color to red when timer ends and status is 'active'
        $(`#drip_${dripId}`).css('background-color', '#ffe3e3');
        // $(`#add_extend_time_${dripId}`).prop('disabled', true);

        // Optionally, you can update the status to 'finished' in the database
        // updateDripStatus(dripId, 'finished');
      } else {
        // Set background color to transparent if the timer is running
        $(`#timer_color_${dripId}`).css('background-color', 'transparent');
      }
    }, 1000); // Update every second
  }

  // Function to get drip status based on your data structure or DOM
  function getStatusForDrip(dripId) {
    var status = ''; // Implement logic to fetch status based on dripId
    status = $('#drip_' + dripId).data('status');
    return status;
  }

  // Function to get remaining time until endTime
  function getRemainingTime(endTime) {
    var end = parseTime(endTime);
    if (!end) {
      return '00:00:00'; // Return zero time if end time is invalid
    }

    var currentTime = Date.now();
    var remainingTime = end.getTime() - currentTime;
    if (remainingTime < 0) {
      return '00:00:00'; // Return zero time if remaining time is negative
    }

    var hours = Math.floor(remainingTime / (1000 * 60 * 60));
    var minutes = Math.floor((remainingTime % (1000 * 60 * 60)) / (1000 * 60));
    var seconds = Math.floor((remainingTime % (1000 * 60)) / 1000);

    return `${hours.toString().padStart(2, '0')}:${minutes.toString().padStart(2, '0')}:${seconds.toString().padStart(2, '0')}`;
  }

  // Event handler for extending drip time
  $('#ongoing_drips_container').on('click', '.add_btn', function() {
    $('#vertically_center_modal').modal('show');
  });

  let drip_count;
  drip_count = 1;

  function fetchdrip() {
    $.ajax({
      url: "ajax/drip/get_drips_list.php",
      type: "get",
      success: function(response) {
        var result = JSON.parse(response);
        // console.log(result);
        var data = result.data;
        if(result.status === 'Success') {
          var drip_select = $('#drip');
          drip_select.html('');
          drip_select.append('<option value="" selected>-- SELECT DRIP --</option>');
          var drip_select_option = '';
          if(data.length == 0){
            drip_count = 0;
            // drip_select.html('');
            // drip_select.append('<option value="" selected>CREATE DRIP</option>');
            // toastr.error('CREATE DRIP');
            // return;
          }

          data.map(item => {
            // console.log(item.id);
            drip_select_option += `<option value="${item.id}">${item.tablet_name}</option>`;
          })

          drip_select.append(drip_select_option);

        }
      }
    })
  }
  fetchdrip();

  $('#drip').click(function () {

    if(drip_count === 0){
      toastr.error('Create Drip', 'Contact Admin');
      return;
    }

    var id = $(this).val();

    var fd = new FormData();
    fd.append('drip_id', id);

    $.ajax({
      url: "<?php echo $ward_path; ?>ajax/drip/get_dosage.php",
      data:fd,
      contentType: false,
      processData: false,
      type: "post",
      success: function(response) {
        var result = JSON.parse(response);
        var data = result.data;
        var dosage_select_div = $('#dosage');

        var options = '';
        dosage_select_div.html('');

        options += `<option value="" selected> --- SELECT DOSAGE --- </option>`;

        data.map(item => {
          options += `<option value="${item.id}">${item.dosage}-${item.price}</option>`;

        })
        dosage_select_div.append(options);
      }


    })

  })




});


</script>
</body>
</html>
