<?php
  include('include.php');

  $ip_id = $_GET['ip_id'];

  $sql = "SELECT (pd.id) patient_id, pd.patient_name, pd.gender, pd.blood, pd.dob, pd.mrd_no, DATE_FORMAT(opd.dateTime, '%d-%m-%Y %h:%i %p') admit_date, opd.nurse_charge, opd.bed_charge, opd.ad_amount, opd.bed_id, opd.doc_fee
          FROM patient_data pd
          JOIN ip_ob_entry_data opd ON opd.patient_id = pd.id
          WHERE opd.id='$ip_id'";

  $result = mysqli_query($conn, $sql);

  if($row = mysqli_fetch_assoc($result)){
    $patient_name = $row['patient_name'];
    $gender       = $row['gender'];
    $mrd          = $row['mrd_no'];
    $blood        = $row['blood'];
    $bed_id       = $row['bed_id'];

    $patient_id = $row['patient_id'];

    $doctor_charge = $row['doc_fee'];
    $dob = $row['dob'];
    $currentDate = new DateTime();
    $dateOfBirth = new DateTime($dob);    
    $age = $currentDate->diff($dateOfBirth)->y;

    $admit_date = $row['admit_date'];

    $nurse_charge = $row['nurse_charge'];
    $bed_charge = $row['bed_charge'];
    $advance_amount = $row['ad_amount'];
  }
?>
<!DOCTYPE html>
<html lang="zxx" dir="ltr" class="light">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="">
  <title>IPD Billing</title>
  <link rel="icon" type="image/png" href="<?php echo $main_path; ?>assets/images/logo/favicon.svg">
  <link rel="preconnect" href="https://fonts.googleapis.com/">
  <link rel="preconnect" href="https://fonts.gstatic.com/" crossorigin="anonymous">
  <link href="https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700;800&amp;display=swap"
    rel="stylesheet">


    <script src="<?php echo $main_path; ?>assets/popperjs/popper.min.js"></script>

<script src="<?php echo $main_path; ?>assets/bootstrap/js/bootstrap.min.js"></script>

<link href="<?php echo $main_path; ?>assets/bootstrap/css/bootstrap.min.css" rel="stylesheet" rel="stylesheet" >


  <!-- BEGIN: Theme CSS-->
  <link rel="stylesheet" href="<?php echo $main_path; ?>assets/css/rt-plugins.css">
  <link rel="stylesheet" href="<?php echo $main_path; ?>assets/css/app.css">
  <!-- End : Theme CSS -->

  <!-- Start : theme-store js -->
  <script src="<?php echo $main_path; ?>assets/js/store.js" sync></script>
  <!-- End : theme-store js -->
</head>

<style>
  input::-webkit-outer-spin-button,
  input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }

  .mandatory::after {
    content: "*";
    color: red;
    padding-left: 5px;
  }

  .table-td{
    text-align:center !important;
  }

  .table-th{
    text-align:center !important;
  }

  #ipd_id,#patient_name,#doctor,#admit_date,#discharge_date,#subtotal,#total_discount,#total_bill,#description{
      font-size:0.875rem !important;
      color:gray;
    }

    #ulDrop{
                  padding-left: 0;
                  margin-bottom: 0;
                }
                #ulDrop a{
                  text-decoration: none;
                }

</style>

<body class=" font-inter dashcode-app" id="body_class">
  <main class="app-wrapper">
    
    <?php include('sidebar.php'); ?>
    <!-- End: Settings -->
    <div class="flex flex-col justify-between min-h-screen">
      <div>
        
        <?php include('nav.php'); ?>

        <div class="content-wrapper transition-all duration-150 xl:ltr:ml-[248px] xl:rtl:mr-[248px]"
          id="content_wrapper">
          <div class="page-content">
            <div id="content_layout">
    
              <div class="grid xl:grid-cols-1 grid-cols-1 gap-6">
                <!-- Basic Inputs -->
                <div class="card">
                  <header class="card-header noborder d-flex justify-content-between">
                    <h4 class="card-title" style="margin-top:0.75rem; margin-left: 10px;">Investigation History</h4>
                  </header>
                  <div class="row" style="margin-top: 10px; margin-left: 17%;">

                         <div class="card-body">
                            <div class="row ps-2">

                              <div class="col-lg-6 col-md-2 col-sm-5 col-4">
                                <p class="text1"><b>Patient Name:</b> <span class="text-primary ms-1"><?php echo $patient_name ?></span></p>
                              </div>

                              <div class="col-6">
                                <p class="text1"><b>MRD No:</b> <span  class="text-primary ms-1"><?php echo $mrd ?></span></p>
                              </div>

                            </div>
                            
                            <br><br>

                          </div>
                      </div>
                  <div class="card-body flex flex-col p-6" style="margin-top: -90px;">
                    <div class="row mb-5">
                        <table class="divide-y divide-slate-100 dark:divide-slate-700 mt-5" style="width: 96%; margin-left: 25px;">
                            <thead class="bg-slate-200 dark:bg-slate-700">
                              <tr>
                                <!-- <th scope="col" style="width:50px;padding-left:10px;padding-right:10px;" class="table-th"></th> -->
                                <!-- <th scope="col" style="width:80px;" class="table-th">#</th> -->
                                <th scope="col" class="table-th text-right"><b>Date & Time</b></th>
                                <th scope="col" class="table-th"><b>Investigation Name</b></th>
                                <th scope="col" class="table-th"><b>Division Name</b></th>
                                <!-- <th scope="col" class="table-th"><b>Quantity</b></th> -->
                                <!-- <th scope="col" class="table-th text-right">Payable Amount</th> -->
                                </tr>
                            </thead>
                            <tbody class="bg-white divide-y divide-slate-100 dark:bg-slate-800 dark:divide-slate-700" id="added_inves_table">
                              <?php
                                $select_divison = mysqli_query($conn, "SELECT osd.id, osd.division_id, sc.scan_cat_name, osd.amount, s.scan_name, osd.qty, DATE_FORMAT(osd.dateTime, '%d-%m-%Y %h:%i %p') dateTime
                                            FROM ip_bill_scan osd
                                            JOIN scan_cat sc ON osd.division_id = sc.id
                                            JOIN scan s ON sc.scan_id = s.id 
                                            WHERE osd.patient_record_id='$ip_id'");
                                      $count = 1;
                                      while ($row = mysqli_fetch_assoc($select_divison)) {
                                      // $id = $row['id'];
                                      // $division_id = $row['division_id'];
                                      $division_name = $row['scan_cat_name'];
                                      // $division_price = $row['amount'];
                                      $scan_name = $row['scan_name'];
                                      // $existing_qty = $row['qty'];
                                      $dateTime = $row['dateTime'];
                              ?>
                                <tr class="inves_data">
                                    <td scope="col" class="table-td a_division_price text-right"><?php echo $dateTime; ?></td>
                                    <!-- <td scope="col" class="table-td a_id-check" data-division-id="<?php echo $division_id; ?>" style="display:flex;justify-content:end;padding-left:10px;padding-right:10px;"><input type="checkbox" data-id="<?php echo $division_id; ?>" data-row-id="<?php echo $id; ?>" data-amount="<?php echo $division_price; ?>" class="form-check-input" checked disabled></td> -->
                                    <!-- <td scope="col" class="table-td"><?php echo $count; ?></td> -->
                                    <td scope="col" class="table-td"><?php echo $scan_name; ?></td>
                                    <td scope="col" class="table-td a_division_name"><?php echo $division_name; ?></td>
                                    <!-- <td scope="col" class="table-td a_i_qty"><?php echo $existing_qty; ?></td> -->
                                    <!-- <td scope="col" class="table-td a_division_price text-right"><?php echo $division_price; ?></td> -->
                                </tr>
                                    <?php
                                      $count++;
                                      }
                                    ?>
                             </tbody>
                         </table>
                      </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
     
  </main>
          <!-- scripts -->

          <script src="<?php echo $main_path; ?>assets/js/jquery-3.6.0.min.js"></script>
          <script src="<?php echo $main_path; ?>assets/js/rt-plugins.js"></script>
          <script src="<?php echo $main_path; ?>assets/js/app.js"></script>

          <!-- Bootstrap CSS -->

          <script src="<?php echo $main_path; ?>assets/popperjs/popper.min.js"></script>

        <script src="<?php echo $main_path; ?>assets/bootstrap/js/bootstrap.min.js"></script>

        <link href="<?php echo $main_path; ?>assets/bootstrap/css/bootstrap.min.css" rel="stylesheet" rel="stylesheet" >


          <!-- Bootstrap JS and Popper.js -->
          <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
          <script src="<?php echo $main_path; ?>assets/popperjs/popper.min.js"></script>
        <script src="<?php echo $main_path; ?>assets/bootstrap/js/bootstrap.min.js"></script>


        <script src="<?php echo $main_path; ?>assets/toastr/build/toastr.min.js"></script> 

        <link rel="stylesheet" href="<?php echo $main_path; ?>assets/toastr/build/toastr.min.css" />
        <script>
          function checkTableEmpty() {
              if ($('#added_inves_table tr').length === 0) {
                
                  var noDataRow = '<tr id="no_data_row"><td colspan="8" class="text-center table-td">No data available</td></tr>';
                  $('#added_inves_table').append(noDataRow);
              }
              
          }
          checkTableEmpty();
        </script>

</body>

</html>