<?php
// discharge_patient.php

require_once '../../../datab.php';

$res = [];

// Assuming $dateTime is defined elsewhere in your application
$dateTime = date('Y-m-d H:i:s'); // Example format: 2024-06-19 14:30:00

// Sanitize and retrieve POST data
$ip_id = $_POST['patient_record_id'];
$discharged_by = $_POST['created_by'];
$user_type = $_POST['user_type'];

// Prepare statement to update database
$stmt = $conn->prepare("UPDATE `ip_ob_entry_data` SET `discharge_date`=?, `discharged_by`=?, `discharged_by_user`=?, `status`='Discharged' WHERE `id`=?");
$stmt->bind_param("sssi", $dateTime, $discharged_by, $user_type, $ip_id);
$stmt->execute();

// Check if update was successful
if ($stmt->affected_rows > 0) {
    $res['status'] = 'Success';
    $res['remarks'] = 'Patient discharged';
} else {
    $res['status'] = 'Failed';
    $res['remarks'] = 'Failed to update or no changes made';
}

$stmt->close();

// Output JSON response
header('Content-Type: application/json');
echo json_encode($res);
?>
